
Public

Extern 
	' ------------------------------------------------------------------------------------
	'  BMXISceneNode wrappers
	' ------------------------------------------------------------------------------------
	Function BMXISceneNode_new(pISceneNode_parent:Int,pISceneManager_mgr:Int,id:Int=-1,pVector3df_pos:Int=0,pVector3df_rot:Int=0,pVector3df_scale:Int=0) ' returns BMXISceneNode* 
	Function BMXISceneNode_addAnimator(pISceneNode_sn:Int,pISceneNodeAnimator_animator:Int)
	Function BMXISceneNode_addChild(pISceneNode_sn:Int,pISceneNode_child:Int)
	Function BMXISceneNode_getAbsolutePosition:Int(pISceneNode_sn:Int) ' returns vector3df* 
	'  do Not Delete this pointer
	Function BMXISceneNode_getAbsoluteTransformation:Int(pISceneNode_sn:Int) ' returns matrix4* 
	Function BMXISceneNode_getAutomaticCulling:Int(pISceneNode_sn:Int)
	Function BMXISceneNode_getBoundingBox:Int(pISceneNode_sn:Int) ' returns aabbox3df* 
	Function BMXISceneNode_getID:Int(pISceneNode_sn:Int)
	'  do Not Delete this pointer
	Function BMXISceneNode_getSceneManager:Int(pISceneNode_sn:Int) ' returns ISceneManager* 
	'  do Not Delete this pointer
	Function BMXISceneNode_getMaterial:Int(pISceneNode_sn:Int,idx:Int) ' returns SMaterial* 
	Function BMXISceneNode_getMaterialCount:Int(pISceneNode_sn:Int)
	Function BMXISceneNode_getName$z(pISceneNode_sn:Int)
	Function BMXISceneNode_getType:Int(pISceneNode_sn:Int)
	'  do Not Delete this pointer
	Function BMXISceneNode_getParent:Int(pISceneNode_sn:Int) ' returns ISceneNode* 
	Function BMXISceneNode_getPosition:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function BMXISceneNode_getRelativeTransformation:Int(pISceneNode_sn:Int) ' returns matrix4* 
	Function BMXISceneNode_getRotation:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function BMXISceneNode_getScale:Int(pISceneNode_sn:Int) ' returns vector3df* 
	Function BMXISceneNode_getTransformedBoundingBox:Int(pISceneNode_sn:Int) ' returns aabbox3d<f32>* 
	' do not delete
	Function BMXISceneNode_getTriangleSelector:Int(pISceneNode_sn:Int) ' returns ITriangleSelector* 
	Function BMXISceneNode_isDebugDataVisible:Int(pISceneNode_sn:Int)
	Function BMXISceneNode_isVisible:Int(pISceneNode_sn:Int)
	Function BMXISceneNode_remove(pISceneNode_sn:Int)
	Function BMXISceneNode_removeAll(pISceneNode_sn:Int)
	Function BMXISceneNode_removeAnimator(pISceneNode_sn:Int,pISceneNodeAnimator_animator:Int)
	Function BMXISceneNode_removeAnimators(pISceneNode_sn:Int)
	Function BMXISceneNode_removeChild(pISceneNode_sn:Int,pISceneNode_child:Int)
	Function BMXISceneNode_render(pISceneNode_sn:Int)
	Function BMXISceneNode_OnRegisterSceneNode(pBMXISceneNode_sn:Int)
	Function BMXISceneNode_OnAnimate(pBMXISceneNode_sn:Int,timeMs:Int)
	Function BMXISceneNode_setAutomaticCulling(pISceneNode_sn:Int,E_CULLING_TYPE:Int)
	Function BMXISceneNode_setDebugDataVisible(pISceneNode_sn:Int,E_DEBUG_SCENE_TYPE:Int)
	Function BMXISceneNode_setID(pISceneNode_sn:Int,id:Int)
	Function BMXISceneNode_setMaterial(pISceneNode_sn:Int,idx:Int,pSMaterial_newmat:Int)
	Function BMXISceneNode_setMaterialFlag(pISceneNode_sn:Int,E_MATERIAL_FLAG_flag:Int,bNewvalue:Int)
	Function BMXISceneNode_setMaterialTexture(pISceneNode_sn:Int,textureLayer:Int,pITexture_texture:Int)
	Function BMXISceneNode_setMaterialType(pISceneNode_sn:Int,E_MATERIAL_TYPE_newType:Int)
	Function BMXISceneNode_setName(pISceneNode_sn:Int,name$z)
	Function BMXISceneNode_setParent(pISceneNode_sn:Int,pISceneNode_newParent:Int=0)
	Function BMXISceneNode_setPosition(pISceneNode_sn:Int,pvector3df_newpos:Int)
	Function BMXISceneNode_setRotation(pISceneNode_sn:Int,pvector3df_rotation:Int)
	Function BMXISceneNode_setScale(pISceneNode_sn:Int,pvector3df_scale:Int)
	Function BMXISceneNode_setTriangleSelector(pISceneNode_sn:Int,pITriangleSelector_selector:Int)
	Function BMXISceneNode_setVisible(pISceneNode_sn:Int,bIsVisible:Int)
	Function BMXISceneNode_updateAbsolutePosition(pISceneNode_sn:Int)
	'  note, changed To array For ease of use
	Function BMXISceneNode_getChildren:Int(pISceneNode_sn:Int) ' returns array<ISceneNode*>* 
	Function BMXISceneNode_isDebugObject:Int(pISceneNode_sn:Int)
	Function BMXISceneNode_setIsDebugObject(pISceneNode_sn:Int,bDebugObject:Int)
	Function BMXISceneNode_serializeAttributes(pBMXISceneNode_sn:Int,pIAttributes:Int,pSAttributeReadWriteOptions:Int=0)
	Function BMXISceneNode_deserializeAttributes(pBMXISceneNode_sn:Int,pIAttributes:Int,pSAttributeReadWriteOptions:Int=0)
	Function BMXISceneNode_clone(pBMXISceneNode:Int,pISceneNode_newParent:Int=0,pISceneManager_newManager:Int=0) ' returns ISceneNode*

	' -------------
	' binding functions
	' -------------
	Function BMXISceneNode_getBinder:Int(pBMXISceneNode_sn:Int)
	Function BMXISceneNode_bindAddAnimator(pBMXISceneNode_sn:Int,func(binding:Int,pISceneNodeAnimator_animator:Int))
	Function BMXISceneNode_bindAddChild(pBMXISceneNode_sn:Int,func(binding:Int,pISceneNode_child:Int))
	Function BMXISceneNode_bindGetAbsolutePosition(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetAbsoluteTransformation(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetAutomaticCulling(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetBoundingBox(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetID(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetMaterial(pBMXISceneNode_sn:Int,func(binding:Int,i:Int))
	Function BMXISceneNode_bindGetMaterialCount(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetName(pBMXISceneNode_sn:Int,func:Byte Ptr(binding:Int))
	Function BMXISceneNode_bindGetType(pBMXISceneNode_sn:Int,func:Int(binding:Int))
	Function BMXISceneNode_bindGetParent(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetPosition(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetRelativeTransformation(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetRotation(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetScale(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetTransformedBoundingBox(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetTriangleSelector(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindIsDebugDataVisible(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindIsVisible(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindRemove(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindRemoveAll(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindRemoveAnimator(pBMXISceneNode_sn:Int,func(binding:Int,pISceneNodeAnimator_animator:Int))
	Function BMXISceneNode_bindRemoveAnimators(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindRemoveChild(pBMXISceneNode_sn:Int,func(binding:Int,pISceneNode_child:Int))
	Function BMXISceneNode_bindOnRegisterSceneNode(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindOnAnimate(pBMXISceneNode_sn:Int,func(binding:Int,timeMs:Int))
	Function BMXISceneNode_bindRender(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindSetAutomaticCulling(pBMXISceneNode_sn:Int,func(binding:Int,E_CULLING_TYPE:Int))
	Function BMXISceneNode_bindSetDebugDataVisible(pBMXISceneNode_sn:Int,func(binding:Int,bVisible:Int))
	Function BMXISceneNode_bindSetID(pBMXISceneNode_sn:Int,func(binding:Int,id:Int))
	Function BMXISceneNode_bindSetMaterialFlag(pBMXISceneNode_sn:Int,func(binding:Int,E_MATERIAL_FLAG_flag:Int,bNewvalue:Int))
	Function BMXISceneNode_bindSetMaterialTexture(pBMXISceneNode_sn:Int,func(binding:Int,textureLayer:Int,pITexture_texture:Int))
	Function BMXISceneNode_bindSetMaterialType(pBMXISceneNode_sn:Int,func(binding:Int,E_MATERIAL_TYPE_newType:Int))
	Function BMXISceneNode_bindSetMaterial(pBMXISceneNode_sn:Int,func(binding:Int,i:Int,pSMaterial_newmat:Int))
	Function BMXISceneNode_bindSetName(pBMXISceneNode_sn:Int,func(binding:Int,name:Byte Ptr))
	Function BMXISceneNode_bindSetParent(pBMXISceneNode_sn:Int,func(binding:Int,pISceneNode_newParent:Int))
	Function BMXISceneNode_bindSetPosition(pBMXISceneNode_sn:Int,func(binding:Int,pVector3df_newpos:Int))
	Function BMXISceneNode_bindSetRotation(pBMXISceneNode_sn:Int,func(binding:Int,pVector3df_rotation:Int))
	Function BMXISceneNode_bindSetScale(pBMXISceneNode_sn:Int,func(binding:Int,pVector3df_scale:Int))
	Function BMXISceneNode_bindSetTriangleSelector(pBMXISceneNode_sn:Int,func(binding:Int,pITriangleSelector_selector:Int))
	Function BMXISceneNode_bindSetVisible(pBMXISceneNode_sn:Int,func(binding:Int,bIsVisible:Int))
	Function BMXISceneNode_bindUpdateAbsolutePosition(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindGetChildren(pBMXISceneNode_sn:Int,func(binding:Int))
	Function BMXISceneNode_bindIsDebugObject(pBMXISceneNode_sn:Int,bind_isDebugObject:Int(binding:Int))
	Function BMXISceneNode_bindSetIsDebugObject(pBMXISceneNode_sn:Int,bind_setIsDebugObject(binding:Int,bDebugObject:Int))
	Function BMXISceneNode_bindSerializeAttributes(pBMXISceneNode_sn:Int,bind_serializeAttributes(binding:Int,pIAttributes:Int,pSAttributeReadWriteOptions:Int))
	Function BMXISceneNode_bindDeserializeAttributes(pBMXISceneNode_sn:Int,bind_deserializeAttributes(binding:Int,pIAttributes:Int,pSAttributeReadWriteOptions:Int))
	Function BMXISceneNode_bindClone(pBMXISceneNode:Int,bind_clone:Int(binding:Int,pISceneNode_newParent:Int, pISceneManager_newManager:Int))

EndExtern

