
Public

Extern
	'  ------------------------------------------------------------------------------------
	'  irr::core::array<s32> wrappers
	'  NOTES:
	'  did Not wrap the Const version of getLast()
	'  for regular data types use Var IrrCore_() to get the actual value
	'  ------------------------------------------------------------------------------------
	
	Function IrrCore_Array_s32_new:Int() ' returns array<s32>* 
	Function IrrCore_Array_s32_newWithSize:Int(start_count:Int) ' returns array<s32>* 
	Function IrrCore_Array_s32_newFromOther(parray_s32_other:Int) ' returns array<s32>* 
	Function IrrCore_Array_s32_del(parray_s32_arr:Int)
	Function IrrCore_Array_s32_allocated_size:Int(parray_s32_arr:Int)
	Function IrrCore_Array_s32_clear(parray_s32_arr:Int)
	Function IrrCore_Array_s32_empty:Int(parray_s32_arr:Int)
	Function IrrCore_Array_s32_eraseWithCount(parray_s32_arr:Int,idx:Int,count:Int)
	Function IrrCore_Array_s32_erase(parray_s32_arr:Int,idx:Int)
	'  do Not Delete this pointer
	Function IrrCore_Array_s32_getLast:Int Ptr(parray_s32_arr:Int) ' returns s32*
	'  do Not Delete this pointer
	Function IrrCore_Array_s32_elementAt:Int Ptr(parray_s32_arr:Int,idx:Int) ' returns s32*
	Function IrrCore_Array_s32_insert(parray_s32_arr:Int,element:Int Ptr,idx:Int=0)
	Function IrrCore_Array_s32_Eq(parray_s32_arr:Int,parray_s32_other:Int)
	Function IrrCore_Array_s32_push_back(parray_s32_arr:Int,element:Int Ptr)
	Function IrrCore_Array_s32_push_front(parray_s32_arr:Int,element:Int Ptr)
	Function IrrCore_Array_s32_reallocate(parray_s32_arr:Int,new_size:Int)
	Function IrrCore_Array_s32_set_free_when_destroyed(parray_s32_arr:Int,bNewVal:Int)
	Function IrrCore_Array_s32_set_sorted(parray_s32_arr:Int,bVal:Int)
	Function IrrCore_Array_s32_set_used(parray_s32_arr:Int,bVal:Int)
	Function IrrCore_Array_s32_size:Int(parray_s32_arr:Int)
	Function IrrCore_Array_s32_linear_reverse_search:Int(parray_s32_arr:Int,find:Int Ptr)
	Function IrrCore_Array_s32_linear_search:Int(parray_s32_arr:Int,find:Int Ptr)
	Function IrrCore_Array_s32_binary_search:Int(parray_s32_arr:Int,find:Int Ptr)
	Function IrrCore_Array_s32_binary_searchWithBounds:Int(parray_s32_arr:Int,find:Int Ptr,nLeft:Int,nRight:Int)
	Function IrrCore_Array_s32_sort(parray_s32_arr:Int)
	'Function IrrCore_Array_s32_const_pointer:Int Ptr(parray_s32_arr:Int)
	'Function IrrCore_Array_s32_pointer:Int Ptr(parray_s32_arr:Int)
	'Function IrrCore_Array_s32_set_pointer(parray_s32_arr:Int,newPointer:Int Ptr,size:Int)

EndExtern


