' List of all basic Irrlicht GUI elements. 
' An IGUIElement returns this when calling IGUIElement::getType(); */
'enum EGUI_ELEMENT_TYPE

' Unknown type. Use this when creating your own elements.

' A button (IGUIButton)
Const EGUIET_BUTTON:Int = 0

' A check box (IGUICheckBox)
Const EGUIET_CHECK_BOX:Int = 1

' A combo box (IGUIComboBox)
Const EGUIET_COMBO_BOX:Int = 2

' A context menu (IGUIContextMenu)
Const EGUIET_CONTEXT_MENU:Int = 3

' A menu (IGUIMenu)
Const EGUIET_MENU:Int = 4

' An edit box (IGUIEditBox)
Const EGUIET_EDIT_BOX:Int = 5

' A file open dialog (IGUIFileOpenDialog)
Const EGUIET_FILE_OPEN_DIALOG:Int = 6

' A color select open dialog (IGUIColorSelectDialog)
Const EGUIET_COLOR_SELECT_DIALOG:Int = 7

' A in/out fader (IGUIInOutFader)
Const EGUIET_IN_OUT_FADER:Int = 8

' An image (IGUIImage)
Const EGUIET_IMAGE:Int = 9

' A list box (IGUIListBox)
Const EGUIET_LIST_BOX:Int = 10

' A mesh viewer (IGUIMeshViewer)
Const EGUIET_MESH_VIEWER:Int = 11

' A message box (IGUIWindow)
Const EGUIET_MESSAGE_BOX:Int = 12

' A modal screen
Const EGUIET_MODAL_SCREEN:Int = 13

' A scroll bar (IGUIScrollBar)
Const EGUIET_SCROLL_BAR:Int = 14

' A static text (IGUIStaticText)
Const EGUIET_STATIC_TEXT:Int = 15

' A tab (IGUITab)
Const EGUIET_TAB:Int = 16

' A tab control
Const EGUIET_TAB_CONTROL:Int = 17

' A tool bar (IGUIToolBar)
Const EGUIET_TOOL_BAR:Int = 18

' A window
Const EGUIET_WINDOW:Int = 19

' A spin box (IGUISpinBox)
Const EGUIET_SPIN_BOX:Int = 20

' Not an element =  amount of elements in there
Const EGUIET_COUNT:Int = 21

Const EGUIET_ELEMENT:Int = 22

' Names For built-in element types
Global GUIElementTypeNames:String[] = ..
[ ..
	"button", ..
	"checkBox", ..
	"comboBox", ..
	"contextMenu", ..
	"menu", ..
	"editBox", ..
	"fileOpenDialog", ..
	"colorSelectDialog", ..
	"inOutFader", ..
	"image", ..
	"listBox", ..
	"meshViewer", ..
	"messageBox", ..
	"modalScreen", ..
	"scrollBar", ..
	"staticText", ..
	"tab", ..
	"tabControl", ..
	"toolBar", ..
	"window", ..
	"spinBox", ..
	"" ..
]