
Extern

	'  -------------------------------------------------------------------------
	'  SMD3AnimationInfo
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3AnimationInfo_getFirst:Int(pSMD3AnimationInfo:Int)
	Function IrrScene_SMD3AnimationInfo_setFirst(pSMD3AnimationInfo:Int,first:Int)
	Function IrrScene_SMD3AnimationInfo_getNum:Int(pSMD3AnimationInfo:Int)
	Function IrrScene_SMD3AnimationInfo_setNum(pSMD3AnimationInfo:Int,num:Int)
	Function IrrScene_SMD3AnimationInfo_getLooping:Int(pSMD3AnimationInfo:Int)
	Function IrrScene_SMD3AnimationInfo_setLooping(pSMD3AnimationInfo:Int,looping:Int)
	Function IrrScene_SMD3AnimationInfo_getFPS:Int(pSMD3AnimationInfo:Int)
	Function IrrScene_SMD3AnimationInfo_setFPS(pSMD3AnimationInfo:Int,fps:Int)

	'  -------------------------------------------------------------------------
	'  SMD3Header
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3Header_getHeaderID$z(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getVersion:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getFileName$z(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getNumFrames:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getNumTags:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getNumMeshes:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getNumMaxSkins:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getHeaderSize:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getTagStart:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getTagEnd:Int(pSMD3Header:Int)
	Function IrrScene_SMD3Header_getFileSize:Int(pSMD3Header:Int)

	'  -------------------------------------------------------------------------
	'  SMD3MeshHeader
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3MeshHeader_getMeshID$z(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getMeshName$z(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getNumFrames:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getNumShader:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getNumVertices:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getNumTriangles:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getOffset_Triangles:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getOffset_Shaders:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getOffset_St:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getVertexStart:Int(pSMD3MeshHeader:Int)
	Function IrrScene_SMD3MeshHeader_getOffset_End:Int(pSMD3MeshHeader:Int)

	'  -------------------------------------------------------------------------
	'  SMD3Vertex
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3Vertex_getPosition:Short Ptr(pSMD3Vertex:Int) ' returns array size 3
	Function IrrScene_SMD3Vertex_getNormal:Byte Ptr(pSMD3Vertex:Int) ' returns array size 2

	'  -------------------------------------------------------------------------
	'  SMD3TexCoord
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3TexCoord_getU:Float(pSMD3TexCoord:Int)
	Function IrrScene_SMD3TexCoord_getV:Float(pSMD3TexCoord:Int)

	'  -------------------------------------------------------------------------
	'  SMD3Face
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3Face_getIndex:Int Ptr(pSMD3Face:Int) ' returns array size 3

	'  -------------------------------------------------------------------------
	'  SMD3MeshBuffer
	'  -------------------------------------------------------------------------

	Function IrrScene_SMD3MeshBuffer_drop:Int(pIUnknown:Int)
	Function IrrScene_SMD3MeshBuffer_getDebugName$z(pIUnknown:Int)
	Function IrrScene_SMD3MeshBuffer_grab(pIUnknown:Int)
	
	'  do not delete
	Function IrrScene_SMD3MeshBuffer_getMeshHeader:Int(pSMD3MeshBuffer:Int) ' returns SMD3MeshHeader*
	'  do not delete (use String.FromCString())
	Function IrrScene_SMD3MeshBuffer_getShaders:Int(pSMD3MeshBuffer:Int,shaders:Int Ptr Ptr)
	'  do not delete
	Function IrrScene_SMD3MeshBuffer_getVertices:Int(pSMD3MeshBuffer:Int,vertices:Int Ptr Ptr)
	'  do not delete
	Function IrrScene_SMD3MeshBuffer_getTexCoords:Int(pSMD3MeshBuffer:Int,tcoords:Int Ptr Ptr)
	Function IrrScene_SMD3MeshBuffer_getIndices:Int(pSMD3MeshBuffer:Int,indices:Int Ptr Ptr)

	'  -------------------------------------------------------------------------
	'  SMD3QuaternionTag
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3QuaternionTag_setto(pSMD3QuaternionTag:Int,pMatrix4:Int)
	'  do not delete
	Function IrrScene_SMD3QuaternionTag_getName$z(pSMD3QuaternionTag:Int)
	'  do not delete
	Function IrrScene_SMD3QuaternionTag_getPosition:Int(pSMD3QuaternionTag:Int) ' returns vector3df*
	'  do not delete
	Function IrrScene_SMD3QuaternionTag_getRotation(pSMD3QuaternionTag:Int) ' returns quaternion*
	Function IrrScene_SMD3QuaternionTag_EqEq:Int(pSMD3QuaterionTag:Int, pSMD3QuaterionTag_other:Int)

	'  -------------------------------------------------------------------------
	'  SMD3QuaternionTagList
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3QuaternionTagList_drop:Int(pIUnknown:Int)
	Function IrrScene_SMD3QuaternionTagList_getDebugName$z(pIUnknown:Int)
	Function IrrScene_SMD3QuaternionTagList_grab(pIUnknown:Int)

	'  do not delete
	Function IrrScene_SMD3QuaternionTagList_get:Int(pSMD3QuaternionTagList:Int,name$z) ' returns SMD3QuaternionTag*
	Function IrrScene_SMD3QuaternionTagList_getSize:Int(pSMD3QuaternionTagList:Int)
	'  do not delete
	Function IrrScene_SMD3QuaternionTagList_Index:Int(pSMD3QuaternionTagList:Int,index:Int) ' returns SMD3QuaternionTag*
	Function IrrScene_SMD3QuaternionTagList_getContainer:Int(pSMD3QuaternionTagList:Int,tags:Int Ptr Ptr)

	'  -------------------------------------------------------------------------
	'  SMD3Mesh
	'  -------------------------------------------------------------------------
	Function IrrScene_SMD3Mesh_drop:Int(pIUnknown:Int)
	Function IrrScene_SMD3Mesh_getDebugName$z(pIUnknown:Int)
	Function IrrScene_SMD3Mesh_grab(pIUnknown:Int)
	
	'  do not delete
	Function IrrScene_SMD3Mesh_getMD3Header:Int(pSMD3Mesh:Int) ' returns SMD3Header*
	Function IrrScene_SMD3Mesh_getName$z(pSMD3Mesh:Int)
	'  do not delete
	Function IrrScene_SMD3Mesh_getBuffer:Int(pSMD3Mesh:Int,buffer:Int Ptr Ptr)
	'  do not delete
	Function IrrScene_SMD3Mesh_getTagList:Int(pSMD3Mesh:Int) ' returns SMD3QuaternionTagList*

	'  -------------------------------------------------------------------------
	'  IAnimatedMeshMD3
	'  -------------------------------------------------------------------------

	Function IrrScene_IAnimatedMeshMD3_setInterpolationShift(pIAnimatedMeshMD3:Int,shift:Int,loopMode:Int)	
	'  do not delete
	Function IrrScene_IAnimatedMeshMD3_getTagList:Int(pIAnimatedMeshMD3:Int,frame:Int,detailLevel:Int,startFrameLoop:Int,endFrameLoop:Int) ' returns SMD3QuaternionTagList*
	'  do not delete
	Function IrrScene_IAnimatedMeshMD3_getOriginalMesh:Int(pIAnimatedMeshMD3:Int) ' returns SMD3Mesh*

EndExtern