' ------------------------------------------------------------------------------------
' irr::scene::IShadowVolumeSceneNode wrappers (based on ISceneNode)
' ------------------------------------------------------------------------------------
Public

Type IShadowVolumeSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:IShadowVolumeSceneNode(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IShadowVolumeSceneNode=New IShadowVolumeSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setMeshToRenderFrom(mesh:IMesh)
		IrrScene_IShadowVolumeSceneNode_setMeshToRenderFrom(handle,mesh.handle)
	EndMethod
	
EndType


