'  ------------------------------------------------------------------------------------
'  irr::core::array<S3DVertexTangents> wrappers
'  NOTES:
'  - for regular data types use Var IrrCore_() to get the actual value
'  - did not implement:
	'Function IrrCore_Array_S3DVertexTangents_linear_reverse_search:Int(parray_S3DVertexTangents_arr:Int,find:Int)
	'Function IrrCore_Array_S3DVertexTangents_linear_search:Int(parray_S3DVertexTangents_arr:Int,find:Int)
	'Function IrrCore_Array_S3DVertexTangents_binary_search:Int(parray_S3DVertexTangents_arr:Int,find:Int)
	'Function IrrCore_Array_S3DVertexTangents_binary_searchWithBounds:Int(parray_S3DVertexTangents_arr:Int,find:Int,nLeft:Int,nRight:Int)
	'Function IrrCore_Array_S3DVertexTangents_sort(parray_S3DVertexTangents_arr:Int)
	'Function IrrCore_Array_S3DVertexTangents_const_pointer:Int(parray_S3DVertexTangents_arr:Int)
	'Function IrrCore_Array_S3DVertexTangents_pointer:Int(parray_S3DVertexTangents_arr:Int)
	'Function IrrCore_Array_S3DVertexTangents_set_pointer(parray_S3DVertexTangents_arr:Int,newPointer:Int,size:Int)
'  ------------------------------------------------------------------------------------

Public

Type Array_S3DVertexTangents Extends IrrBase Final

	'--------------------------------------------
	' create/delete routines
	'--------------------------------------------

	Function createWithSize:Array_S3DVertexTangents(start_count:Int)
		Return createFromHandle(IrrCore_Array_S3DVertexTangents_newWithSize(start_count))
	EndFunction
	
	Function createFromOther:Array_S3DVertexTangents(other:Array_S3DVertexTangents)
		Return createFromHandle(IrrCore_Array_S3DVertexTangents_newFromOther(other.handle))
	EndFunction

	Function create:Array_S3DVertexTangents()
		Return createFromHandle(IrrCore_Array_S3DVertexTangents_new())
	EndFunction
	
	Function createFromHandle:Array_S3DVertexTangents(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:Array_S3DVertexTangents=New Array_S3DVertexTangents
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method Delete()
		If (mustdelete) Then IrrCore_Array_S3DVertexTangents_del(handle)
	EndMethod	

	'--------------------------------------------
	' the rest
	'--------------------------------------------
	
	Method allocated_size:Int()
		Return IrrCore_Array_S3DVertexTangents_allocated_size(handle)
	EndMethod

	Method clear()
		IrrCore_Array_S3DVertexTangents_clear(handle)
	EndMethod

	Method empty:Int()
		Return IrrCore_Array_S3DVertexTangents_empty(handle)
	EndMethod
	
	Method eraseWithCount(idx:Int,count:Int)
		IrrCore_Array_S3DVertexTangents_eraseWithCount(handle,idx,count)
	EndMethod
	
	Method erase(idx:Int)
		IrrCore_Array_S3DVertexTangents_erase(handle,idx)
	EndMethod

	Method reallocate(new_size:Int)
		IrrCore_Array_S3DVertexTangents_reallocate(handle,new_size)
	EndMethod
	
	Method set_free_when_destroyed(bNewVal:Int)
		IrrCore_Array_S3DVertexTangents_set_free_when_destroyed(handle,bNewVal)
	EndMethod

	Method set_sorted(bVal:Int)
		IrrCore_Array_S3DVertexTangents_set_sorted(handle,bVal)
	EndMethod
	
	Method set_used(used:Int)
		IrrCore_Array_S3DVertexTangents_set_used(handle,used)
	EndMethod
	
	Method size:Int()
		Return IrrCore_Array_S3DVertexTangents_size(handle)
	EndMethod

	Method getLast:S3DVertexTangents()
		'  do Not Delete this pointer
		Return S3DVertexTangents.createFromHandle(IrrCore_Array_S3DVertexTangents_getLast(handle),False)
	EndMethod

	Method elementAt:S3DVertexTangents(idx:Int)
		'  do Not Delete this pointer
		Return S3DVertexTangents.createFromHandle(IrrCore_Array_S3DVertexTangents_elementAt(handle,idx),False)
	EndMethod
	
	Method insert(element:S3DVertexTangents,idx:Int=0)
		IrrCore_Array_S3DVertexTangents_insert(handle,element.handle,idx)
	EndMethod

	Method Eq(other:Array_S3DVertexTangents)
		IrrCore_Array_S3DVertexTangents_Eq(handle,other.handle)
	EndMethod

	Method push_back(element:S3DVertexTangents)
		IrrCore_Array_S3DVertexTangents_push_back(handle,element.handle)
	EndMethod
	
	Method push_front(element:S3DVertexTangents)
		IrrCore_Array_S3DVertexTangents_push_front(handle,element.handle)
	EndMethod
		
EndType




