Public

' ------------------------------------------------------------------------------------
'  irr::gui::IGUITabControl wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUITabControl Extends IGUIElement Final

	Function createFromHandle:IGUITabControl(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUITabControl=New IGUITabControl
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
		
	Method addTab:IGUITab(caption:String,id:Int=-1)
		Return IGUITab.createFromHandle(IrrGUI_IGUITabControl_addTab:Int(handle,caption,id))
	EndMethod
	
	Method getActiveTab:Int()
		Return IrrGUI_IGUITabControl_getActiveTab(handle)
	EndMethod
	
	Method getTab:IGUITab(idx:Int)
		Return IGUITab.createFromHandle(IrrGUI_IGUITabControl_getTab(handle,idx))
	EndMethod
	
	Method getTabCount:Int()
		Return IrrGUI_IGUITabControl_getTabcount(handle)
	EndMethod
	
	Method setActiveTab(idx:Int)
		IrrGUI_IGUITabControl_setActiveTab(handle,idx)
	EndMethod

	Method setActiveTabFromTab:Int(tab:IGUIElement)
		Return IrrGUI_IGUITabControl_setActiveTabFromTab(handle,tab.handle)
	EndMethod

EndType



