
'! Types of attributes available for IAttributes
'enum E_ATTRIBUTE_TYPE

' integer attribute
Const EAT_INT:Int = 0

' float attribute
Const EAT_FLOAT:Int = 1

' string attribute
Const EAT_STRING:Int = 2

' boolean attribute
Const EAT_BOOL:Int = 3

' enumeration attribute
Const EAT_ENUM:Int = 4

' color attribute
Const EAT_COLOR:Int = 5

' floating point color attribute
Const EAT_COLORF:Int = 6

' 3d vector attribute
Const EAT_VECTOR3D:Int = 7 

' 2d position attribute
Const EAT_POSITION2D:Int = 8

' vector 2d
Const EAT_VECTOR2D:Int = 9

' rectangle attribute
Const EAT_RECT:Int = 10

' matrix attribute
Const EAT_MATRIX:Int = 11

' quaternion attribute
Const EAT_QUATERNION:Int = 12

' 3d bounding box
Const EAT_BBOX:Int = 13

' plane
Const EAT_PLANE:Int = 14

' 3d triangle
Const EAT_TRIANGLE3D:Int = 15

' line 2d
Const EAT_LINE2D:Int = 16

' line 3d
Const EAT_LINE3D:Int = 17

' array of stringws attribute
Const EAT_STRINGWARRAY:Int = 18

' array of float
Const EAT_FLOATARRAY:Int = 19

' array of int
Const EAT_INTARRAY:Int = 20
	
' binary data attribute
Const EAT_BINARY:Int = 21

' texture reference attribute
Const EAT_TEXTURE:Int = 22

' user pointer void*
Const EAT_USER_POINTER:Int = 23

' known attribute type count
Const EAT_COUNT:Int = 24

' unknown attribute
Const EAT_UNKNOWN:Int = 25

