' ------------------------------------------------------------------------------------
' irr::scene::IMeshCache wrappers
' ------------------------------------------------------------------------------------

Extern

	Function IrrScene_IMeshCache_addMesh(pIMeshCache:Int,filename$z, pIAnimatedMesh:Int)
	Function IrrScene_IMeshCache_removeAnimatedMesh(pIMeshCache:Int,pIAnimatedMesh:Int)
	Function IrrScene_IMeshCache_removeMesh(pIMeshCache:Int,pIMesh:Int)
	Function IrrScene_IMeshCache_getMeshCount:Int(pIMeshCache:Int)
	Function IrrScene_IMeshCache_getAnimatedMeshIndex:Int(pIMeshCache:Int,pIAnimatedMesh:Int)
	Function IrrScene_IMeshCache_getMeshIndex:Int(pIMeshCache:Int,pIMesh:Int)
	' do not delete
	Function IrrScene_IMeshCache_getMeshByIndex:Int(pIMeshCache:Int,index:Int) ' returns IAnimatedMesh*
	Function IrrScene_IMeshCache_getMeshFilenameByIdx:Byte Ptr(pIMeshCache:Int,index:Int) ' returns const c8*
	Function IrrScene_IMeshCache_getAnimatedMeshFilename:Byte Ptr(pIMeshCache:Int,pIAnimatedMesh:Int) ' returns const c8*
	Function IrrScene_IMeshCache_getMeshFilename:Byte Ptr(pIMeshCache:Int,pIMesh:Int) ' returns const c8*
	Function IrrScene_IMeshCache_drop:Int(pIUnknown:Int)
	Function IrrScene_IMeshCache_getDebugName$z(pIUnknown:Int)
	Function IrrScene_IMeshCache_grab(pIUnknown:Int)
	' do not delete
	Function IrrScene_IMeshCache_getMeshByFilename:Int(pIMeshCache:Int,filename$z) ' returns IAnimatedMesh*
	Function IrrScene_IMeshCache_setMeshFilenameByIndex:Int(pIMeshCache:Int,index:Int,filename$z)	
	Function IrrScene_IMeshCache_setAnimatedMeshFilename:Int(pIMeshCache:Int,pIAnimatedMesh:Int,filename$z)
	Function IrrScene_IMeshCache_setMeshFilename:Int(pIMeshCache:Int,pIMesh:Int,filename$z)
	Function IrrScene_IMeshCache_isMeshLoaded:Int(pIMeshCache:Int,filename$z)	
	Function IrrScene_IMeshCache_clear(pIMeshCache:Int)
	Function IrrScene_IMeshCache_clearUnusedMeshes(pIMeshCache:Int)

EndExtern