Public

' ------------------------------------------------------------------------------------
'  irr::scene::ITextSceneNode wrappers (parent is ISceneNode)
' 
'  WARNING: unedited distribution of Irrlicht .09 does Not have ITextSceneNode included
'  in the Include directory Or in Irrlicht.h in the Include directory.  get ITextSceneNode.h
'  from the Include directory in the source And edit Irrlicht.h To Include this file.
' ------------------------------------------------------------------------------------
	
Type ITextSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:ITextSceneNode(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:ITextSceneNode=New ITextSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method setText(text:String)
		IrrScene_ITextSceneNode_setText(handle,text)
	EndMethod
	
	Method setTextColor(color:SColor)
		IrrScene_ITextSceneNode_setTextColor(handle,color.handle)
	EndMethod

EndType

