Public 

' ------------------------------------------------------------------------------------
'  irr::video::IGPUProgrammingServices wrappers
' 
'  WARNING: this cannot be created manually.  it can be obtained by calling
'  IVideoDriver::getGPUProgrammingServices()
' ------------------------------------------------------------------------------------
Extern 

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterial:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgram:Byte Ptr, ..
		vertexShaderEntryPointName:Byte Ptr=Null, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int=EVST_VS_1_1, ..
		pixelShaderProgram:Byte Ptr=Null, ..
		pixelShaderEntryPointName:Byte Ptr=Null, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int=EPST_PS_1_1, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterialFromFiles:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgram:Byte Ptr, ..
		vertexShaderEntryPointName:Byte Ptr=Null, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int=EVST_VS_1_1, ..
		pixelShaderProgram:Byte Ptr=Null, ..
		pixelShaderEntryPointName:Byte Ptr=Null, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int=EPST_PS_1_1, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterialFromFileStream:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		pIReadFile_vertexShaderProgram:Int, ..
		vertexShaderEntryPointName:Byte Ptr=Null, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int=EVST_VS_1_1, ..
		pIReadFile_pixelShaderProgram:Int=0, ..
		pixelShaderEntryPointName:Byte Ptr=Null, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int=EPST_PS_1_1, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addShaderMaterial:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgram:Byte Ptr=Null, ..
		pixelShaderProgram:Byte Ptr=Null, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addShaderMaterialFromFiles:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgramFileName:Byte Ptr, ..
		pixelShaderProgramFileName:Byte Ptr, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addShaderMaterialFromFileStream:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		pIReadFile_vertexShaderProgram:Int, ..
		pIReadFile_pixelShaderProgram:Int, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

EndExtern

