' ------------------------------------------------------------------------------------
' irr::video::IVideoDriver wrappers
' use irr:IrrlichtDevice.getVideoDriver() To get a pointer For this
'
' havent implemented the following
' virtual s32  addMaterialRenderer (IMaterialRenderer *renderer)=0 
' virtual void  addExternalImageLoader (IImageLoader *loader)=0 
' ------------------------------------------------------------------------------------
Public 

Extern 

	Function IrrVideo_IVideoDriver_beginScene:Int(pIVideoDriver:Int,bBackBuffer:Int,bZBuffer:Int,pSColor:Int=0)
	Function IrrVideo_IVideoDriver_endScene:Int(pIVideoDriver:Int,windowId:Int=0,pRecti_sourceRect:Int=0)
	Function IrrVideo_IVideoDriver_queryFeature:Int(pIVideoDriver:Int,E_VIDEO_DRIVER_FEATURE:Int)
	Function IrrVideo_IVideoDriver_setTransform(pIVideoDriver:Int,E_TRANSFORMATION_STATE:Int,pMatrix4:Int)
	Function IrrVideo_IVideoDriver_getTransform:Int(pIVideoDriver:Int,E_TRANSFORMATION_STATE:Int)  ' returns matrix4*
	Function IrrVideo_IVideoDriver_setMaterial(pIVideoDriver:Int,pSMaterial:Int)
	Function IrrVideo_IVideoDriver_getTexture:Int(pIVideoDriver:Int,filename$z)  ' returns ITexture*
	Function IrrVideo_IVideoDriver_getTextureFromStream:Int(pIVideoDriver:Int,pIReadFile:Int) ' returns ITexture* 
	Function IrrVideo_IVideoDriver_addTexture(pIVideoDriver:Int,pDimension2di:Int,name$z,ECOLOR_FORMAT:Int=ECF_A8R8G8B8) ' returns ITexture*
	Function IrrVideo_IVideoDriver_addTextureFromImage(pIVideoDriver:Int,name$z,pIImage:Int) ' returns ITexture*
	Function IrrVideo_IVideoDriver_removeTexture(pIVideoDriver:Int,pITexture:Int)
	Function IrrVideo_IVideoDriver_removeAllTextures(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_makeColorKeyTexture(pIVideoDriver:Int,pITexture:Int,pSColor:Int)
	Function IrrVideo_IVideoDriver_makeColorKeyTextureFromPixel(pIVideoDriver:Int,pITexture:Int,pPosition2di:Int)
	Function IrrVideo_IVideoDriver_makeNormalMapTexture(pIVideoDriver:Int,pITexture:Int,amplitude:Float=1.0)
	Function IrrVideo_IVideoDriver_setRenderTarget(pIVideoDriver:Int,pITexture:Int=0,bClearBackBuffer:Int=True,bClearZBuffer:Int=True,pSColor_color:Int=0)
	Function IrrVideo_IVideoDriver_setViewPort(pIVideoDriver:Int,pRecti_area:Int)
	Function IrrVideo_IVideoDriver_getViewPort(pIVideoDriver:Int) ' returns rect<s32>* 
	Function IrrVideo_IVideoDriver_drawVertexPrimitiveList(pIVideoDriver:Int,vertices:Byte Ptr,vertexCount:Int,indexList:Short Ptr,triangleCount:Int,E_VERTEX_TYPE:Int,E_PRIMITIVE_TYPE:Int)
	Function IrrVideo_IVideoDriver_draw3DLine(pIVideoDriver:Int,pvector3df_start:Int,pvector3df_end:Int,pSColor:Int=0) ' def color=255,255,255,255
	Function IrrVideo_IVideoDriver_draw3DTriangle(pIVideoDriver:Int,ptriangle3df:Int,pSColor:Int=0) ' def color=255,255,255,255
	Function IrrVideo_IVideoDriver_draw3DBox(pIVideoDriver:Int,paabbox3df:Int,pSColor:Int=0) ' def color=255,255,255,255
	Function IrrVideo_IVideoDriver_draw2DImage(pIVideoDriver:Int,pITexture:Int,pPosition2di_destPos:Int)
	Function IrrVideo_IVideoDriver_draw2DImageSegment(pIVideoDriver:Int,pITexture:Int,pPosition2di_destPos:Int,pRecti_sourceRect:Int,pRecti_clipRect:Int=0,pSColor:Int=0,bUseAlphaChannelOfTexture:Int=False)
	Function IrrVideo_IVideoDriver_draw2DImageSet(pIVideoDriver:Int,pITexture:Int,pPosition2di_pos:Int,pArrRect2di_SourceRects:Int Ptr,sourceRectSize:Int,arrIndices:Int Ptr,indicesSize:Int,kerningWidth:Int=0,pRecti_clipRect:Int=0,pSColor:Int=0,bUseAlphaChannelOfTexture:Int=False)
	Function IrrVideo_IVideoDriver_draw2DImageSegmentToRect(pIVideoDriver:Int,pITexture:Int,pRecti_destRect:Int,pRecti_sourceRect:Int,pRecti_clipRect:Int=0,colorArray:Int Ptr=Null,colorArraySize:Int=0,bUseAlphaChannelOfTexture:Int=False)
	Function IrrVideo_IVideoDriver_draw2DRectangle(pIVideoDriver:Int,pSColor:Int,pRecti_pos:Int,pRecti_clip:Int=0)
	Function IrrVideo_IVideoDriver_draw2DRectangleWithGradient(pIVideoDriver:Int,pRecti_pos:Int,pSColorLeftUp:Int,pSColorRightUp:Int,pSColorLeftDown:Int,pSColorRightDown:Int,pRecti_clip:Int=0)
	Function IrrVideo_IVideoDriver_draw2DLine(pIVideoDriver:Int,pPosition2di_start:Int,pPosition2di_end:Int,pSColor:Int=0) ' def color=255,255,255,255
	Function IrrVideo_IVideoDriver_draw2DPolygon(pIVideoDriver:Int,pPosition2di_center:Int,radius:Float,pSColor:Int=0,vertexCount:Int=10)  ' def color=100,255,255,255
	Function IrrVideo_IVideoDriver_drawStencilShadowVolume(pIVideoDriver:Int,pvector3df_triangles_arr:Int,count:Int,bZfail:Int=True)
	Function IrrVideo_IVideoDriver_drawStencilShadow(pIVideoDriver:Int,bClearStencilBuffer:Int=False,pSColor_leftUpEdge:Int=0,pSColor_rightUpEdge:Int=0,pSColor_leftDownEdge:Int=0,pSColor_rightDownEdge:Int=0) ' colors default to 255,0,0,0
	Function IrrVideo_IVideoDriver_drawMeshBuffer(pIVideoDriver:Int,pIMeshBuffer:Int)
	Function IrrVideo_IVideoDriver_setFog(pIVideoDriver:Int,pSColor:Int=0,bLinearFog:Int=True,start:Float=50.0,fend:Float=100.0,density:Float=0.01,bPixelFog:Int=False,bRangeFog:Int=False) ' color defaults to 0,255,255,255
	Function IrrVideo_IVideoDriver_getScreenSize:Int(pIVideoDriver:Int) ' returns dimension2d<s32>*
	Function IrrVideo_IVideoDriver_getCurrentRenderTargetSize:Int(pIVideoDriver:Int) ' returns dimension2d<s32>* 
	Function IrrVideo_IVideoDriver_getFPS:Int(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_getPrimitiveCountDrawn:Int(pIVideoDriver:Int,param:Int=0) ' returns unsigned 32
	Function IrrVideo_IVideoDriver_deleteAllDynamicLights(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_addDynamicLight(pIVideoDriver:Int,pSLight:Int)
	Function IrrVideo_IVideoDriver_setAmbientLight(pIVideoDriver:Int,pSColorf:Int)
	Function IrrVideo_IVideoDriver_getMaximalDynamicLightAmount:Int(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_getDynamicLightCount:Int(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_getDynamicLight:Int(pIVideoDriver:Int,idx:Int) ' returns SLight* 
	Function IrrVideo_IVideoDriver_getName$z(pIVideoDriver:Int) ' returns Const c8*
	Function IrrVideo_IVideoDriver_getMaximalPrimitiveCount:Int(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_setTextureCreationFlag(pIVideoDriver:Int,E_TEXTURE_CREATION_FLAG:Int,bEnabled:Int)
	Function IrrVideo_IVideoDriver_getTextureCreationFlag:Int(pIVideoDriver:Int,E_TEXTURE_CREATION_FLAG:Int)
	Function IrrVideo_IVideoDriver_createImageFromFile:Int(pIVideoDriver:Int,filename$z) ' returns IImage*
	Function IrrVideo_IVideoDriver_createImageFromStream:Int(pIVideoDriver:Int,pIReadFile:Int) ' returns IImage*
	Function IrrVideo_IVideoDriver_createImageFromData:Int(pIVideoDriver:Int,ECOLOR_FORMAT:Int,pDimension2di_size:Int,pdata:Byte Ptr,ownForeignMemory:Int=False,deleteMemory:Int=True) ' returns IImage*
	Function IrrVideo_IVideoDriver_createRenderTargetTexture:Int(pIVideoDriver:Int,pDimension2di_size:Int, name$z) ' returns ITexture*
	Function IrrVideo_IVideoDriver_getMaterialRendererCount:Int(pIVideoDriver:Int)
	' dont Delete reference
	Function IrrVideo_IVideoDriver_getMaterialRenderer:Int(pIVideoDriver:Int,idx:Int) ' returns IMaterialRenderer* 
	Function IrrVideo_IVideoDriver_getExposedVideoData:Int(pIVideoDriver:Int) ' returns SExposedVideoData* 
	Function IrrVideo_IVideoDriver_getDriverType:Int(pIVideoDriver:Int) ' returns E_DRIVER_TYPE	
	Function IrrVideo_IVideoDriver_drawIndexedTriangleList(pIVideoDriver:Int,parray_S3DVertex_vertices:Int,parray_u16_indexList:Int)
	Function IrrVideo_IVideoDriver_drawIndexedTriangleListFromCoords(pIVideoDriver:Int,parray_S3DVertex2TCoords_vertices:Int,parray_u16_indexList:Int)
	Function IrrVideo_IVideoDriver_drawIndexedTriangleListTangents(pIVideoDriver:Int,parray_S3DVertexTangents_vertices:Int,parray_u16_indexList:Int)
	Function IrrVideo_IVideoDriver_drawIndexedTriangleFan(pIVideoDriver:Int,parray_S3DVertex_vertices:Int,parray_u16_indexList:Int)
	Function IrrVideo_IVideoDriver_drawIndexedTriangleFanFromCoords(pIVideoDriver:Int,parray_S3DVertex2TCoords_vertices:Int,parray_u16_indexList:Int)

	' do Not Delete Ptr
	Function IrrVideo_IVideoDriver_getGPUProgrammingServices:Int(pIVideoDriver_driver:Int) ' returns IGPUProgrammingServices*
	Function IrrVideo_IVideoDriver_clearZBuffer(pIVideoDriver:Int)
	
	Function IrrVideo_IVideoDriver_getTextureByIndex:Int(pIVideoDriver:Int,index:Int) ' returns ITexture*
	Function IrrVideo_IVideoDriver_getTextureCount:Int(pIVideoDriver:Int)
	Function IrrVideo_IVideoDriver_addMaterialRenderer:Int(pIVideoDriver:Int,pIMaterialRenderer:Int,name$z=Null)
	Function IrrVideo_IVideoDriver_addExternalImageLoader(pIVideoDriver:Int,pIImageLoader:Int)
	Function IrrVideo_IVideoDriver_addExternalImageWriter(pIVideoDriver:Int,pIImageWriter:Int)
	Function IrrVideo_IVideoDriver_writeImageToFile:Int(pIVideoDriver:Int,pIImage:Int,filename$z,param:Int=0)
	Function IrrVideo_IVideoDriver_getMaterialRendererName$z(pIVideoDriver:Int,idx:Int)
	Function IrrVideo_IVideoDriver_setMaterialRendererName(pIVideoDriver:Int,idx:Int,name$z)
	Function IrrVideo_IVideoDriver_createAttributesFromMaterial:Int(pIVideoDriver:Int,pSMaterial:Int) ' returns io::IAttributes*
	Function IrrVideo_IVideoDriver_fillMaterialStructureFromAttributes(pIVideoDriver:Int,pSMaterial_out:Int,pIAttributes:Int)
	Function IrrVideo_IVideoDriver_createScreenShot:Int(pIVideoDriver:Int) ' returns IImage*
	
	Function IrrVideo_IVideoDriver_drop:Int(pIUnknown:Int)
	Function IrrVideo_IVideoDriver_getDebugName$z(pIUnknown:Int)
	Function IrrVideo_IVideoDriver_grab(pIUnknown:Int)
	
	Function IrrVideo_IVideoDriver_renameTexture(pIVideoDriver:Int,pITexture:Int,newName$z)
	' do not delete
	Function IrrVideo_IVideoDriver_findTexture:Int(pIVideoDriver:Int, filename$z) ' returns ITexture*
	Function IrrVideo_IVideoDriver_setClipPlane:Int(pIVideoDriver:Int, index:Int, pPlane3df:Int, bEnable:Int = False)
	Function IrrVideo_IVideoDriver_enableClipPlane(pIVideoDriver:Int, index:Int, bEnable:Int)
	
EndExtern 