Public

Extern

	Function IrrVideo_Func_getVertexPitchFromType:Int(E_VERTEX_TYPE:Int)
	
	' ------------------------------------------------------------------------------------
	' irr::video::S3DVertex wrappers
	'
	' WARNING: be careful about deleting pointers returned by some of these methods
	' ------------------------------------------------------------------------------------
	
	Function IrrVideo_S3DVertex_new:Int() ' returns S3DVertex* 
	Function IrrVideo_S3DVertex_newFromVals:Int(x:Float,y:Float,z:Float,nx:Float,ny:Float,nz:Float,pSColor:Int,tu:Float,tv:Float) ' returns S3DVertex* 
	Function IrrVideo_S3DVertex_newFromVects:Int(pvector3df_pos:Int,pvector3df_normal:Int,pSColor:Int,pvector2df_tcoords:Int) ' returns S3DVertex*
	Function IrrVideo_S3DVertex_del(pS3DVertex:Int)
	Function IrrVideo_S3DVertex_EqEq:Int(pS3DVertex:Int,pS3DVertex_other:Int)
	Function IrrVideo_S3DVertex_NotEq:Int(pS3DVertex:Int,pS3DVertex_other:Int)
	Function IrrVideo_S3DVertex_getPos:Int(pS3DVertex:Int) ' returns vector3df* 
	Function IrrVideo_S3DVertex_setPos(pS3DVertex:Int,pvector3df_pos:Int)
	Function IrrVideo_S3DVertex_getNormal:Int(pS3DVertex:Int) ' returns vector3df*
	Function IrrVideo_S3DVertex_setNormal(pS3DVertex:Int,pvector3df_norm:Int)
	Function IrrVideo_S3DVertex_getTCoords:Int(pS3DVertex:Int) ' returns vector2df*
	Function IrrVideo_S3DVertex_setTCoords(pS3DVertex:Int,pvector2df_coords:Int)
	Function IrrVideo_S3DVertex_getColor:Int(pS3DVertex:Int) ' returns SColor* 
	Function IrrVideo_S3DVertex_setColor(pS3DVertex:Int,pSColor:Int)
	Function IrrVideo_S3DVertex_getVertexInfo:Int(pS3DVertex:Int,pos:Float Ptr,norm:Float Ptr,tcoords:Float Ptr,color:Int Ptr) ' returns true if success
	Function IrrVideo_S3DVertex_getType:Int(pS3DVertex:Int) ' returns E_VERTEX_TYPE

	
	' ------------------------------------------------------------------------------------
	' irr::video::S3DVertex2TCoords wrappers
	'
	' WARNING: be careful about deleting pointers returned by some of these methods
	' ------------------------------------------------------------------------------------
	
	Function IrrVideo_S3DVertex2TCoords_new:Int() ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newFromValsWithDiffTexCoords:Int(x:Float,y:Float,z:Float,pSColor:Int,tu:Float,tv:Float,tu2:Float,tv2:Float) ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newWithDiffTexCoords:Int(pVector3df_pos:Int,pSColor:Int,pVector2df_tcoords:Int,pVector2df_tcoords2:Int) ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newFromValsWithNormalAndSameTexCoords:Int(x:Float,y:Float,z:Float,nx:Float,ny:Float,nz:Float,pSColor:Int,tu:Float,tv:Float) ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newFromValsWithNormalAndDiffTexCoords:Int(x:Float,y:Float,z:Float,nx:Float,ny:Float,nz:Float,pSColor:Int,tu:Float,tv:Float,tu2:Float,tv2:Float) ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newWithNormalAndSameTexCoords:Int(pVector3df_pos:Int,pVector3df_normal:Int,pSColor:Int,pVector2df_tcoords:Int) ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newWithNormalAndDiffTexCoords:Int(pVector3df_pos:Int,pVector3df_normal:Int,pSColor:Int,pVector2df_tcoords:Int,pVector2df_tcoords2:Int) ' returns S3DVertex2TCoords* 
	Function IrrVideo_S3DVertex2TCoords_newFromVertex:Int(pS3DVertex:Int) ' returns S3DVertex2TCoords*	
	Function IrrVideo_S3DVertex2TCoords_getTCoords2:Int(pS3DVertex2TCoords:Int) ' returns vector2df* 
	Function IrrVideo_S3DVertex2TCoords_setTCoords2(pS3DVertex2TCoords:Int,pvector2df_coords:Int)
	Function IrrVideo_S3DVertex2TCoords_EqEq:Int(pS3DVertex2TCoords:Int,pS3DVertex2TCoords_other:Int)
	Function IrrVideo_S3DVertex2TCoords_NotEq:Int(pS3DVertex2TCoords:Int,pS3DVertex2TCoords_other:Int)
	Function IrrVideo_S3DVertex2TCoords_getVertexInfo:Int(pS3DVertex2TCoords:Int,pos:Float Ptr,norm:Float Ptr,tcoords:Float Ptr,color:Int Ptr,tcoords2:Float Ptr) ' returns true if success
	
	' ------------------------------------------------------------------------------------
	'  irr::video::S3DVertex2TCoords wrappers
	'
	'  WARNING: be careful about deleting pointers returned by some of these methods
	' ------------------------------------------------------------------------------------
	
	Function IrrVideo_S3DVertexTangents_new:Int() ' returns S3DVertexTangents*
	Function IrrVideo_S3DVertexTangents_newFromVals:Int(x:Float,y:Float,z:Float) ' returns S3DVertexTangents*
	'Function IrrVideo_S3DVertexTangents_newFromVects:Int(pvector3df_pos:Int,pvector2df_tcoords:Int,pSColor:Int) ' returns S3DVertexTangents*
	Function IrrVideo_S3DVertexTangents_del(pS3DVertexTangents:Int)
	Function IrrVideo_S3DVertexTangents_getTangent:Int(pS3DVertexTangents:Int) ' returns vector3df*
	Function IrrVideo_S3DVertexTangents_setTangent(pS3DVertexTangents:Int,pvector3df_tangent:Int)
	Function IrrVideo_S3DVertexTangents_getBinormal:Int(pS3DVertexTangents:Int) ' returns vector3df*
	Function IrrVideo_S3DVertexTangents_setBinormal(pS3DVertexTangents:Int,pvector3df_binormal:Int)
	Function IrrVideo_S3DVertexTangents_EqEq:Int(pS3DVertexTangents:Int,pS3DVertexTangents_other:Int)
	Function IrrVideo_S3DVertexTangents_NotEq:Int(pS3DVertexTangents:Int,pS3DVertexTangents_other:Int)
	Function IrrVideo_S3DVertexTangents_getVertexInfo:Int(pS3DVertex:Int,pos:Float Ptr,norm:Float Ptr,tcoords:Float Ptr,color:Int Ptr,tangent:Float Ptr,binormal:Float Ptr) ' returns true if success

EndExtern